commit:     b92cc9ae805091edf16eb4f9215b6b5743b946d5
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 14 05:54:10 2018 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Oct 14 05:54:10 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b92cc9ae

dev-ruby/oauth2: add 1.4.1

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
Package-Manager: Portage-2.3.49, Repoman-2.3.11

 dev-ruby/oauth2/Manifest            |  1 +
 dev-ruby/oauth2/oauth2-1.4.1.ebuild | 47 +++++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-ruby/oauth2/Manifest b/dev-ruby/oauth2/Manifest
index cc19652cd1b..ed24c22bbb5 100644
--- a/dev-ruby/oauth2/Manifest
+++ b/dev-ruby/oauth2/Manifest
@@ -1 +1,2 @@
 DIST oauth2-1.4.0.tar.gz 21299 BLAKE2B 
1fe4640b374450279e556477c23972030d3aecac4c96e9174e57458deaccfbfa012e3bb66fe3db5e845a4004b91b763dab6f68b885ed7c1ddb2710cda29a8486
 SHA512 
2db67cba2403be8ea5d6f88f9818f295c29c08201f8ea5876c55cffe2fa926be465a11061654adffd77d13da9c7e56353ece7e4595cd9501acdcfeb58573b300
+DIST oauth2-1.4.1.tar.gz 27946 BLAKE2B 
e6edd113db26bdad09697c45efa5490bfb49b5c3fafdb7337c5f5c2b135025cc43fe7de450b3e106c6abfb8acb3afd676181ebd6aa1c18f6c5255597b04006df
 SHA512 
14c039d19bcd177506e2f6189797b1791b54bd3fbe53973ad471c44744e3179c02e2f7a855a0cafe332e66819f1708d86c1dd89cbe57668ad642efa49e924b25

diff --git a/dev-ruby/oauth2/oauth2-1.4.1.ebuild 
b/dev-ruby/oauth2/oauth2-1.4.1.ebuild
new file mode 100644
index 00000000000..c0707ffc593
--- /dev/null
+++ b/dev-ruby/oauth2/oauth2-1.4.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_TASK_TEST="none"
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+RUBY_FAKEGEM_DOCDIR="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="oauth2.gemspec"
+
+inherit ruby-fakegem eutils
+
+DESCRIPTION="Wrapper for the OAuth 2.0 protocol with a similar style to the 
OAuth gem"
+HOMEPAGE="https://github.com/intridea/oauth2";
+SRC_URI="https://github.com/intridea/oauth2/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/faraday-0.8 <dev-ruby/faraday-0.16
+       || ( dev-ruby/jwt:2 dev-ruby/jwt:0 )
+       >=dev-ruby/multi_json-1.3 =dev-ruby/multi_json-1*
+       >=dev-ruby/multi_xml-0.5:0
+       >=dev-ruby/rack-1.2:* <dev-ruby/rack-3:*"
+ruby_add_bdepend "test? ( dev-ruby/rspec:3 )"
+
+all_ruby_prepare() {
+       sed -i -e '/simplecov/,/^  end/ s:^:#:' \
+               -e '1irequire "uri"' spec/helper.rb || die
+
+       sed -i -e '/yardstick/,/^end/ s:^:#:' \
+               -e '/bundler/I s:^:#:' Rakefile || die
+
+       # Avoid spec that is too fragile in relation to ENV
+       sed -i -e '/outputs to $stdout when OAUTH_DEBUG=true/a skip "fragile 
ENV stubbing"' spec/oauth2/client_spec.rb || die
+}
+
+each_ruby_test() {
+       CI=true ${RUBY} -S rspec-3 spec || die
+}

Reply via email to